package com.jasamedika.medifirst2000.dao.custom.impl;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.jasamedika.medifirst2000.dao.custom.DetailJenisLimbahDaoCustom;
import com.jasamedika.medifirst2000.dao.custom.base.impl.CoreDaoImpl;
import com.jasamedika.medifirst2000.entities.DetailJenisLimbah;

/**
 * Repository Custom class
 * 
 * @author Roberto
 */
@Repository
public class DetailJenisLimbahDaoCustomImpl extends CoreDaoImpl<DetailJenisLimbah> implements DetailJenisLimbahDaoCustom {

	public DetailJenisLimbahDaoCustomImpl() {
		super(DetailJenisLimbah.class);
	}

	@Override
	public List<Map<String,Object>> findList(String noRec) {

		/*StringBuffer buffer = new StringBuffer();
		buffer.append(" select new map( ");
				buffer.append(" coalesce(parameter.nama,'-') as parameter, ");
						buffer.append(" coalesce(p.nilai,0.0) as nilai, "); 
								buffer.append(" coalesce(satuanStandar.satuanStandar.satuanStandar,'-') as satuanStandar) ");
										buffer.append(" from DetailJenisLimbah ");
												buffer.append(" p left join p.satuanStandar satuanStandar left join p.parameter parameter where p.hasilPemeriksaanSwaPantauLimbahCair.noRec=:noRec ");
		Query query = em.createQuery(buffer.toString());
		query.setParameter("noRec",noRec);*/
		List<Map<String,Object>> list = null;

		return list;
	}



}
